#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		namespc		Garcon
#-----------------------------------------------------------------------------
Name		:	garcon
Version		:	4.19.2
Release		:	17.2.0.rel%{?dist}

Summary		:	A freedesktop.org compliant menu implementation
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+ and GPLV2+
URL		:	http://archive.xfce.org/src/xfce/garcon

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	libxfce4ui
BuildRequires	:	libxfce4ui
BuildRequires	:	gtk
#-----------------------------------------------------------------------------
%description
This is garcon, a freedesktop.org compliant menu implementation based
on GLib and GIO. It was started as a complete rewrite of the former 
Xfce menu library called libxfce4menu, which, in contrast to garcon, 
was lacking menu merging features essential for loading menus modified 
with menu editors.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README.md
%{_sysconfdir}/xdg/menus/xfce-applications.menu
%{_includedir}/%{name}-1/%{name}/%{name}.h
%{_includedir}/%{name}-1/%{name}/%{name}-*.h
%{_includedir}/%{name}-gtk3-1/%{name}-gtk/%{name}-*.h
%{_libdir}/lib%{name}-*.so*
%{_libdir}/pkgconfig/%{name}-*.pc
%{_libdir}/girepository-1.0/%{namespc}-*.typelib
%{_libdir}/girepository-1.0/%{namespc}Gtk-*.typelib
%{_datadir}/gir-1.0/%{namespc}-*.gir
%{_datadir}/gir-1.0/%{namespc}Gtk-*.gir
%{_datadir}/desktop-directories/xfce-*.directory
%{_datadir}/gtk-doc/html/%{name}/*.{png,html}
%{_datadir}/gtk-doc/html/%{name}/%{name}.devhelp2
%{_datadir}/gtk-doc/html/%{name}/style.css
%{_datadir}/icons/hicolor/*/apps/org.xfce.garcon.png

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--includedir=%{_includedir}			\
	--sysconfdir=%{_sysconfdir}			\
	--libdir=%{_libdir}				\
	--libexecdir=%{_libexecdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--sharedstatedir=%{_var}/lib			\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--enable-libxfce4ui				\
	--enable-gtk2					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang	%{name}
#-----------------------------------------------------------------------------
%changelog
